// circulo.cpp - Definición de los métodos de la clase Círculo
#include <iostream>
#include "circulo.h"
using namespace std;

void Circulo::msgEsNegativo()
{
  cout << "El radio es negativo. Se convierte a positivo\n";
}

Circulo::Circulo(double cx, double cy, double r) // constructor
{
  x = cx; y = cy;
  if (r < 0)
  {
    msgEsNegativo();
    r = -r;
  }
  radio = r;
}

double Circulo::longCircunferencia()
{
  return 2 * 3.1415926 * radio;
}

double Circulo::areaCirculo()
{
  return 3.1415926 * radio * radio;
}

